{ pkgs, username, ... }: {
    services.greetd = {
        enable = true;
    };

    services.cage = {
        enable = true;
        user = username;
    };
    
    environment.etc.greetd = {
        "background.jpg".source = ./background.jpg;
        "environments".text = ''
        hyprland
        fish
        '';
    };
    
    programs.regreet = {
        enable = true;
        cageArgs = ["-s" "-m" "last" ];
        
        settings = ./regreet.toml;
    };
}
